## devscripts-v2.19.5.tar.bz2

=== doc/Makefile ===
include ../Makefile.common

all: devscripts.1

clean:
	rm -f devscripts.1 devscripts.1.tmp.*

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in ../README genmanpage.pl
	cat $< > $@.tmp.$(PID)
	cat ../README | \
		awk '/^- annotate-output/,/^  mailing lists./'|sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g' | \
		perl genmanpage.pl \
		>> $@.tmp.$(PID)
	mv $@.tmp.$(PID) $@

install: install_man1 install_man5

install_man1: *.1 devscripts.1
	install -d "$(DESTDIR)$(MAN1DIR)"
	install -m0644 -t "$(DESTDIR)$(MAN1DIR)" $^
install_man5: *.5
	install -d "$(DESTDIR)$(MAN5DIR)"
	install -m0644 -t "$(DESTDIR)$(MAN5DIR)" $^

=== po4a/Makefile ===
include ../Makefile.common
GEN_TR_MAN1S := $(patsubst %.1,fr/%.fr.1,$(GEN_MAN1S))
GEN_TR_MAN1S += $(patsubst %.1,de/%.de.1,$(GEN_MAN1S))

all: translate
# GEN_TR_MAN1S needs translate finished, serialize the calls
	@$(MAKE) -C . transform
transform: $(GEN_TR_MAN1S)

translate: ../doc/devscripts.1
	po4a --previous --no-backups --keep=0 devscripts-po4a.conf
	touch translate

clean: ../doc/devscripts.1
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
	rm -f $(GEN_TR_MAN1S) translate
	rm -rf de fr

../doc/devscripts.1:
	# po4a translate and clean need ../doc/devscripts.1, rebuild it
	$(MAKE) -C ../doc devscripts.1

de/%.de.1: de/%.de.pl translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian-Hilfswerkzeuge" $< > $@
de/%.de.1: de/%.de.pod translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian-Hilfswerkzeuge" $< > $@
de/%.de.1: de/%.de.dbk translate
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
# xsltproc writes out to foo.1 even if you tell it to do otherwise, so we have
# to rename the file after it's generated
	mv de/$*.1 $@

fr/%.fr.1: fr/%.fr.pl translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Utilitaires Debian" $< > $@
fr/%.fr.1: fr/%.fr.pod translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Utilitaires Debian" $< > $@
fr/%.fr.1: fr/%.fr.dbk translate
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
# xsltproc writes out to foo.1 even if you tell it to do otherwise, so we have
# to rename the file after it's generated
	mv fr/$*.1 $@

=== test/Makefile ===

OUR_TESTS= \
	perl \
	annotate-output \
	checkbashisms \
	dd-list \
	debchange \
	debdiff \
	debrepro \
	debsign \
	mergechanges \
	mk-origtargz \
	package_lifecycle \
	sadt \
	uscan \
	uscan_ftp \
	uscan_git \
	uscan_mangle \
	perltidy \

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/changelog ===
devscripts (2.19.5) unstable; urgency=medium

  [ Topi Miettinen ]
  * hardening-check:
    + Fix some typos in the documentation.  MR: !118

  [ Xavier Guimard ]
  * Update French translation.
  * uscan:
    + Don't fail on first error when using multiple watch files.
      Closes: #927864; MR: !119
  * salsa:  MR: !117
    + Fix token regexp to allow "-" in GitLab tokens.
    + Fix useless warnings when old description is null.  Closes: #927367
    + Accept sub-groups in --group parameter.  Closes: #927350
    + Fix bad warning if user is an inherited member of a subgroup.
      Closes: #927373

  [ Edward Betts ]
  * Correct some spelling errors in documentation.  MR: !116

  [ Guillem Jover ]
  * mk-origtargz:  MR: !120
    + Do not enarmor already armored OpenPGP signatures.  This actively caused
      broken .asc files to be uploaded to the archive.
    + Pass --no-options to gpg.
    + Prevent duplicating the signature in case mk-origtargz is called twice.
    + Fix OpenPGP signature ASCII enarmor normalization.
    + Minore code improvements.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 May 2019 17:01:29 +0200

devscripts (2.19.4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debrepro:
    + Include --before-second-build option in output of --help.

  [ Adam D. Barratt ]
  * scripts/Makefile:
    + Fix building / testing of shell-based scripts.  Closes: #923271

  [ Paul Wise ]
  * chdist:
    + Drop Dir::State::status as apt doesn't hard-code it since 1.3~pre3

  [ Mattia Rizzolo ]
  * Apply patch from Jakub Wilk to fix a weird spacing in devscripts(1).
    Closes: #922975
  * sadt:
    + Ignore a UserWarning from debian.deb822.PkgRelation.parse_relations after
      #712513 changed its format.  Closes: #924026
  * wrap-and-sort:
    + Do not try to sort the paragraphs in d/tests/control.  Closes: #923499
  * tests:
    + Introduce a chronic_sh() bash function, reimplementing chronic(1).
    + Quiet down the uscan_git tests by using the new chronic_sh() thing, and
      tweaking a few command calls here and there.
    + Rename the TMPDIR variable to avoid overloading it, and with it affect
      the behaviour of mktemp(1) when it was already exported.  Closes: #924977
      This affected only some uscan tests.
    + Also tweak a few mktemp(1) calls to place their files in SHUNIT_TMPDIR,
      and name them after the tests they are running.
    + export GIT_CONFIG_NOGLOBAL=1, HOME=, XDG_CONFIG_HOME= in a few tests
      (uscan_git and salsa) to prevent the local configuration from affecting
      the tests.  Closes: #921334

  [ Xavier Guimard ]
  * salsa:
    + Allow `checkout --all`, to checkout all repos in a group.  MR: !109
    + Return 1 when lists are empty.  MR: !110
    + Fix disable/enable options.  MR: !114
    + Add KGB options configuration.  Closes: #921641; MR: !115
  * uscan:
    + Fix bad check for "verbose" in Config.pm.  Closes: #923441; MR: !111
  * Update French translation.

  [ Reiner Herrmann ]
  * Update German translation.

  [ Simon McVittie ]
  * mergechanges:
    + Fix handling of .changes with a multiline Binary field.
      Closes: #923427; MR: !112

  [ Christoph Berg ]
  * Refresh German translation, mostly for salsa.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Mar 2019 16:57:59 +0100

devscripts (2.19.3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * grep-excuses:
    + Add a patch from Niels Thykier to fix a possible crash.  Closes: #919191
  * bts:
    + Expand the "BTS" acronym in the manpage synopsis.  Closes: #920870
  * rmadison:
    + Apply a patch from Jakub Wilk to use HTTPS with people.canonical.com.
      Closes: #921378
  * nmudiff:
    + Expand the "NMU" acronym in the manpage description.  Closes: #920869

  [ Simon McVittie ]
  * debc/debi:
    + List packages of any architecture.
    + Consider installing foreign 'Multi-Arch: same' packages, as long as they
      belong of a known foreign architecture.
    + Closes: #915668; MR: !93
  * mergechanges: MR: !102
    + Merge Binary and Description fields.  Closes: #920470
    + Add a basic regression test.

  [ Xavier Guimard ]
  * salsa:
    + Slightly improve the documentation.  Closes: #919402; MR: !100
    + Fix misinterpretation of SALSA_IRKER in devscripts.conf.
    + Fix the impossibility to delete email-on-push.
    + Fix email recipients afterglow when used with --all.
      Closes: #921640; MR: !104
    + Die if project is missing in fork command.  Closes: #922079
  * uscan:  MR: !101
    + Fix dehs output with components with the "ignore" version.
    + Fix dehs output when "group" is used.
    + Avoid false positive warning on USCAN_SYMLINK value.
      Closes: #920874; MR: !103
    + Fix exit code when component are used.  Closes: #922131; MR: !105
    + Don't parse empty options.  Closes: #922132; MR: !105
  * French translation update.

  [ Chris Leick ]
  * German translation update.

  [ Reiner Herrmann ]
  * German translation update.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Feb 2019 06:45:37 +0100

devscripts (2.19.2) unstable; urgency=medium

  * d/postinst:
    + Re-add accidentally removed code that installs /etc/devscripts.conf
      during the first installation.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Jan 2019 20:37:26 +0100

devscripts (2.19.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Upload to unstable.
  * d/control:
    + Add debhelper to Suggests.  Thanks Simon Quigley for the suggestion.
    + Restrict the Build-Depends on git to >= 1:2.7.0 (to use `git log
      --date=format-local:`), that is not available on kbsd yet.
    + Bump debhelper compat level to 12, using the new debhelper-compat format.
    + Bump Standards-Version to 4.3.0, no changes needed.
  * d/lintian-overrides:
    + Add some lintian overrides for uses-dpkg-database-directly.  MR: !95
    + Add a lintian override for binary-package-depends-on-toolchain-package.
  * Move manual calls to dpkg-maintscript-helper to d/maintscripts.


=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 Pierre-Elliott Bécue <becue@crans.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-python,
 docbook-xsl,
 dpkg-dev (>= 1.18.19),
 fakeroot <!nocheck>,
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck> | gnupg2 <!nocheck>,
 help2man,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-desktopentry-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
 libipc-run-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 libtry-tiny-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 mozilla-devscripts <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkg-config,
 po4a,
 pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-magic <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 fakeroot,
 file,
 gnupg | gnupg2,
 gpgv | gpgv2,
 libfile-homedir-perl,
 libfile-which-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt (>= 1.3~pre3),
 at,
 dctrl-tools,
 dput | dupload,
 libdistro-info-perl,
 libdpkg-perl,
 libencode-locale-perl,
 libgit-wrapper-perl,
 libgitlab-api-v4-perl,
 liblist-compare-perl,
 libstring-shellquote-perl,
 libtry-tiny-perl,
 liburi-perl,
 licensecheck,
 lintian,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 adequate,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 cvs-buildpackage,
 debhelper,
 devscripts-el,
 diffoscope,
 disorderfs,
 dose-extra (>= 4.0),
 duck,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libfile-desktopentry-perl,
 libnet-smtps-perl,
 libterm-size-perl,
 libtimedate-perl,
 libyaml-syck-perl,
 mozilla-devscripts,
 mutt,
 piuparts,
 postgresql-client,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}
